*-----------------------------------------------------------------------------
*    File Name: sm_bar.prg
*      Tweeker: Kevin S. Gallagher
*  Description: Shows simple Toolbar mimicing MS-Office toolbar
*             : modified from .prg in FiveWin's sample directory
*-----------------------------------------------------------------------------
* Use this code as a base for building applications that do not require
* a full window on startup or possibly for a buttonbar that is used for
* launching various things while programming...
*
* Refer to TestTop.prg SetWindowPos() to see how to keep the buttonbar
* always-on-top
*-----------------------------------------------------------------------------


#INCLUDE "FiveWin.ch"

#define SH_SHOWNORMAL 1                         //  asper FiveWin docs

STATIC oWnd, oBar

FUNCTION Main()
   DEFINE WINDOW oWnd                                             ;
      TITLE "ToolTips in FiveWin!"                                ;
      FROM 0,0 TO 1,maxcol() -1                                   ;
      BORDER NONE                                                 ;
      NOSYSMENU                                                   ;
   NOCAPTION

   ACTIVATE WINDOW oWnd ON INIT (DoMyBar() )
RETURN( NIL )

/*
*   Routine: DoMyBar()
*          : 
*   Purpose: defines buttonbar for main window
*          : 
*/
FUNCTION DoMyBar
   DEFINE BUTTONBAR oBar 3D SIZE 20, 20 OF oWnd TOP

   DEFINE BUTTON OF oBar  FILE "..\bitmaps\Exit.bmp"              ;
      TOOLTIP "Exit"                                              ;
   ACTION oWnd:End()

   DEFINE BUTTON OF oBar  FILE "..\bitmaps\Plus.bmp"              ;
      TOOLTIP "Adding tooltips is..."                             ;
   ACTION MsgInfo("... as easy as this!")

   DEFINE BUTTON OF oBar  FILE "..\bitmaps\file.bmp"              ;
      TOOLTIP "Start FileManager"                                 ;
   ACTION WinExec("WinFile.exe",SH_SHOWNORMAL)

RETURN .T.
